#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Include project Makefile
ifeq "${IGNORE_LOCAL}" "TRUE"
# do not include local makefile. User is passing all local related variables already
else
include Makefile
# Include makefile containing local settings
ifeq "$(wildcard nbproject/Makefile-local-default.mk)" "nbproject/Makefile-local-default.mk"
include nbproject/Makefile-local-default.mk
endif
endif

# Environment
MKDIR=gnumkdir -p
RM=rm -f 
MV=mv 
CP=cp 

# Macros
CND_CONF=default
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
IMAGE_TYPE=debug
OUTPUT_SUFFIX=elf
DEBUGGABLE_SUFFIX=elf
FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
else
IMAGE_TYPE=production
OUTPUT_SUFFIX=hex
DEBUGGABLE_SUFFIX=elf
FINAL_IMAGE=dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
endif

ifeq ($(COMPARE_BUILD), true)
COMPARISON_BUILD=-mafrlcsj
else
COMPARISON_BUILD=
endif

# Object Directory
OBJECTDIR=build/${CND_CONF}/${IMAGE_TYPE}

# Distribution Directory
DISTDIR=dist/${CND_CONF}/${IMAGE_TYPE}

# Source Files Quoted if spaced
SOURCEFILES_QUOTED_IF_SPACED=../../modbus/ascii/mbascii.c ../../modbus/functions/mbfunccoils.c ../../modbus/functions/mbfuncdiag.c ../../modbus/functions/mbfuncdisc.c ../../modbus/functions/mbfuncholding.c ../../modbus/functions/mbfuncinput.c ../../modbus/functions/mbfuncother.c ../../modbus/functions/mbutils.c ../../modbus/port/portevent.c ../../modbus/port/portserial.c ../../modbus/port/porttimer.c ../../modbus/rtu/mbcrc.c ../../modbus/rtu/mbrtu.c ../../modbus/debug.c ../../modbus/mb.c ../main.c ../mcc.c ../periph.c ../sys_timer.c ../misc.c ../buffer.c ../serial.c ../config.c ../flash_mem.c ../inst_port.c ../dig_io.c

# Object Files Quoted if spaced
OBJECTFILES_QUOTED_IF_SPACED=${OBJECTDIR}/_ext/1470100448/mbascii.o ${OBJECTDIR}/_ext/833655638/mbfunccoils.o ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o ${OBJECTDIR}/_ext/833655638/mbfuncholding.o ${OBJECTDIR}/_ext/833655638/mbfuncinput.o ${OBJECTDIR}/_ext/833655638/mbfuncother.o ${OBJECTDIR}/_ext/833655638/mbutils.o ${OBJECTDIR}/_ext/1433339410/portevent.o ${OBJECTDIR}/_ext/1433339410/portserial.o ${OBJECTDIR}/_ext/1433339410/porttimer.o ${OBJECTDIR}/_ext/1477781822/mbcrc.o ${OBJECTDIR}/_ext/1477781822/mbrtu.o ${OBJECTDIR}/_ext/1043210786/debug.o ${OBJECTDIR}/_ext/1043210786/mb.o ${OBJECTDIR}/_ext/1472/main.o ${OBJECTDIR}/_ext/1472/mcc.o ${OBJECTDIR}/_ext/1472/periph.o ${OBJECTDIR}/_ext/1472/sys_timer.o ${OBJECTDIR}/_ext/1472/misc.o ${OBJECTDIR}/_ext/1472/buffer.o ${OBJECTDIR}/_ext/1472/serial.o ${OBJECTDIR}/_ext/1472/config.o ${OBJECTDIR}/_ext/1472/flash_mem.o ${OBJECTDIR}/_ext/1472/inst_port.o ${OBJECTDIR}/_ext/1472/dig_io.o
POSSIBLE_DEPFILES=${OBJECTDIR}/_ext/1470100448/mbascii.o.d ${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d ${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d ${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d ${OBJECTDIR}/_ext/833655638/mbfuncother.o.d ${OBJECTDIR}/_ext/833655638/mbutils.o.d ${OBJECTDIR}/_ext/1433339410/portevent.o.d ${OBJECTDIR}/_ext/1433339410/portserial.o.d ${OBJECTDIR}/_ext/1433339410/porttimer.o.d ${OBJECTDIR}/_ext/1477781822/mbcrc.o.d ${OBJECTDIR}/_ext/1477781822/mbrtu.o.d ${OBJECTDIR}/_ext/1043210786/debug.o.d ${OBJECTDIR}/_ext/1043210786/mb.o.d ${OBJECTDIR}/_ext/1472/main.o.d ${OBJECTDIR}/_ext/1472/mcc.o.d ${OBJECTDIR}/_ext/1472/periph.o.d ${OBJECTDIR}/_ext/1472/sys_timer.o.d ${OBJECTDIR}/_ext/1472/misc.o.d ${OBJECTDIR}/_ext/1472/buffer.o.d ${OBJECTDIR}/_ext/1472/serial.o.d ${OBJECTDIR}/_ext/1472/config.o.d ${OBJECTDIR}/_ext/1472/flash_mem.o.d ${OBJECTDIR}/_ext/1472/inst_port.o.d ${OBJECTDIR}/_ext/1472/dig_io.o.d

# Object Files
OBJECTFILES=${OBJECTDIR}/_ext/1470100448/mbascii.o ${OBJECTDIR}/_ext/833655638/mbfunccoils.o ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o ${OBJECTDIR}/_ext/833655638/mbfuncholding.o ${OBJECTDIR}/_ext/833655638/mbfuncinput.o ${OBJECTDIR}/_ext/833655638/mbfuncother.o ${OBJECTDIR}/_ext/833655638/mbutils.o ${OBJECTDIR}/_ext/1433339410/portevent.o ${OBJECTDIR}/_ext/1433339410/portserial.o ${OBJECTDIR}/_ext/1433339410/porttimer.o ${OBJECTDIR}/_ext/1477781822/mbcrc.o ${OBJECTDIR}/_ext/1477781822/mbrtu.o ${OBJECTDIR}/_ext/1043210786/debug.o ${OBJECTDIR}/_ext/1043210786/mb.o ${OBJECTDIR}/_ext/1472/main.o ${OBJECTDIR}/_ext/1472/mcc.o ${OBJECTDIR}/_ext/1472/periph.o ${OBJECTDIR}/_ext/1472/sys_timer.o ${OBJECTDIR}/_ext/1472/misc.o ${OBJECTDIR}/_ext/1472/buffer.o ${OBJECTDIR}/_ext/1472/serial.o ${OBJECTDIR}/_ext/1472/config.o ${OBJECTDIR}/_ext/1472/flash_mem.o ${OBJECTDIR}/_ext/1472/inst_port.o ${OBJECTDIR}/_ext/1472/dig_io.o

# Source Files
SOURCEFILES=../../modbus/ascii/mbascii.c ../../modbus/functions/mbfunccoils.c ../../modbus/functions/mbfuncdiag.c ../../modbus/functions/mbfuncdisc.c ../../modbus/functions/mbfuncholding.c ../../modbus/functions/mbfuncinput.c ../../modbus/functions/mbfuncother.c ../../modbus/functions/mbutils.c ../../modbus/port/portevent.c ../../modbus/port/portserial.c ../../modbus/port/porttimer.c ../../modbus/rtu/mbcrc.c ../../modbus/rtu/mbrtu.c ../../modbus/debug.c ../../modbus/mb.c ../main.c ../mcc.c ../periph.c ../sys_timer.c ../misc.c ../buffer.c ../serial.c ../config.c ../flash_mem.c ../inst_port.c ../dig_io.c


CFLAGS=
ASFLAGS=
LDLIBSOPTIONS=

############# Tool locations ##########################################
# If you copy a project from one host to another, the path where the  #
# compiler is installed may be different.                             #
# If you open this project with MPLAB X in the new host, this         #
# makefile will be regenerated and the paths will be corrected.       #
#######################################################################
# fixDeps replaces a bunch of sed/cat/printf statements that slow down the build
FIXDEPS=fixDeps

.build-conf:  ${BUILD_SUBPROJECTS}
ifneq ($(INFORMATION_MESSAGE), )
	@echo $(INFORMATION_MESSAGE)
endif
	${MAKE}  -f nbproject/Makefile-default.mk dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}

MP_PROCESSOR_OPTION=24FJ128GA406
MP_LINKER_FILE_OPTION=,--script=p24FJ128GA406.gld
# ------------------------------------------------------------------------------------
# Rules for buildStep: compile
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
${OBJECTDIR}/_ext/1470100448/mbascii.o: ../../modbus/ascii/mbascii.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1470100448" 
	@${RM} ${OBJECTDIR}/_ext/1470100448/mbascii.o.d 
	@${RM} ${OBJECTDIR}/_ext/1470100448/mbascii.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/ascii/mbascii.c  -o ${OBJECTDIR}/_ext/1470100448/mbascii.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1470100448/mbascii.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1470100448/mbascii.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfunccoils.o: ../../modbus/functions/mbfunccoils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfunccoils.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfunccoils.c  -o ${OBJECTDIR}/_ext/833655638/mbfunccoils.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncdiag.o: ../../modbus/functions/mbfuncdiag.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncdiag.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncdisc.o: ../../modbus/functions/mbfuncdisc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncdisc.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncholding.o: ../../modbus/functions/mbfuncholding.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncholding.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncholding.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncholding.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncinput.o: ../../modbus/functions/mbfuncinput.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncinput.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncinput.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncinput.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncother.o: ../../modbus/functions/mbfuncother.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncother.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncother.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncother.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncother.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncother.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncother.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbutils.o: ../../modbus/functions/mbutils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbutils.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbutils.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbutils.c  -o ${OBJECTDIR}/_ext/833655638/mbutils.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbutils.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbutils.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/portevent.o: ../../modbus/port/portevent.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portevent.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portevent.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/portevent.c  -o ${OBJECTDIR}/_ext/1433339410/portevent.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/portevent.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/portevent.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/portserial.o: ../../modbus/port/portserial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portserial.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portserial.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/portserial.c  -o ${OBJECTDIR}/_ext/1433339410/portserial.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/portserial.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/portserial.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/porttimer.o: ../../modbus/port/porttimer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/porttimer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/porttimer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/porttimer.c  -o ${OBJECTDIR}/_ext/1433339410/porttimer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/porttimer.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/porttimer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1477781822/mbcrc.o: ../../modbus/rtu/mbcrc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1477781822" 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbcrc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbcrc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/rtu/mbcrc.c  -o ${OBJECTDIR}/_ext/1477781822/mbcrc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1477781822/mbcrc.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1477781822/mbcrc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1477781822/mbrtu.o: ../../modbus/rtu/mbrtu.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1477781822" 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbrtu.o.d 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbrtu.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/rtu/mbrtu.c  -o ${OBJECTDIR}/_ext/1477781822/mbrtu.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1477781822/mbrtu.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1477781822/mbrtu.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1043210786/debug.o: ../../modbus/debug.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1043210786" 
	@${RM} ${OBJECTDIR}/_ext/1043210786/debug.o.d 
	@${RM} ${OBJECTDIR}/_ext/1043210786/debug.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/debug.c  -o ${OBJECTDIR}/_ext/1043210786/debug.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1043210786/debug.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1043210786/debug.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1043210786/mb.o: ../../modbus/mb.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1043210786" 
	@${RM} ${OBJECTDIR}/_ext/1043210786/mb.o.d 
	@${RM} ${OBJECTDIR}/_ext/1043210786/mb.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/mb.c  -o ${OBJECTDIR}/_ext/1043210786/mb.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1043210786/mb.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1043210786/mb.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/main.o: ../main.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/main.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/main.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../main.c  -o ${OBJECTDIR}/_ext/1472/main.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/main.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/main.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/mcc.o: ../mcc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/mcc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/mcc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../mcc.c  -o ${OBJECTDIR}/_ext/1472/mcc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/mcc.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/mcc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/periph.o: ../periph.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/periph.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/periph.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../periph.c  -o ${OBJECTDIR}/_ext/1472/periph.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/periph.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/periph.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/sys_timer.o: ../sys_timer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/sys_timer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/sys_timer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../sys_timer.c  -o ${OBJECTDIR}/_ext/1472/sys_timer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/sys_timer.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/sys_timer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/misc.o: ../misc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/misc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/misc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../misc.c  -o ${OBJECTDIR}/_ext/1472/misc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/misc.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/misc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/buffer.o: ../buffer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/buffer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/buffer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../buffer.c  -o ${OBJECTDIR}/_ext/1472/buffer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/buffer.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/buffer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/serial.o: ../serial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/serial.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/serial.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../serial.c  -o ${OBJECTDIR}/_ext/1472/serial.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/serial.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/serial.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/config.o: ../config.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/config.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/config.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../config.c  -o ${OBJECTDIR}/_ext/1472/config.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/config.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/config.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/flash_mem.o: ../flash_mem.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/flash_mem.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/flash_mem.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../flash_mem.c  -o ${OBJECTDIR}/_ext/1472/flash_mem.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/flash_mem.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/flash_mem.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/inst_port.o: ../inst_port.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/inst_port.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/inst_port.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../inst_port.c  -o ${OBJECTDIR}/_ext/1472/inst_port.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/inst_port.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/inst_port.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/dig_io.o: ../dig_io.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/dig_io.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/dig_io.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../dig_io.c  -o ${OBJECTDIR}/_ext/1472/dig_io.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/dig_io.o.d"      -g -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -mno-eds-warn  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/dig_io.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
else
${OBJECTDIR}/_ext/1470100448/mbascii.o: ../../modbus/ascii/mbascii.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1470100448" 
	@${RM} ${OBJECTDIR}/_ext/1470100448/mbascii.o.d 
	@${RM} ${OBJECTDIR}/_ext/1470100448/mbascii.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/ascii/mbascii.c  -o ${OBJECTDIR}/_ext/1470100448/mbascii.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1470100448/mbascii.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1470100448/mbascii.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfunccoils.o: ../../modbus/functions/mbfunccoils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfunccoils.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfunccoils.c  -o ${OBJECTDIR}/_ext/833655638/mbfunccoils.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfunccoils.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncdiag.o: ../../modbus/functions/mbfuncdiag.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncdiag.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncdiag.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncdiag.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncdisc.o: ../../modbus/functions/mbfuncdisc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncdisc.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncdisc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncdisc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncholding.o: ../../modbus/functions/mbfuncholding.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncholding.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncholding.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncholding.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncholding.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncinput.o: ../../modbus/functions/mbfuncinput.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncinput.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncinput.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncinput.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncinput.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbfuncother.o: ../../modbus/functions/mbfuncother.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncother.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbfuncother.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbfuncother.c  -o ${OBJECTDIR}/_ext/833655638/mbfuncother.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbfuncother.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbfuncother.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/833655638/mbutils.o: ../../modbus/functions/mbutils.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/833655638" 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbutils.o.d 
	@${RM} ${OBJECTDIR}/_ext/833655638/mbutils.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/functions/mbutils.c  -o ${OBJECTDIR}/_ext/833655638/mbutils.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/833655638/mbutils.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/833655638/mbutils.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/portevent.o: ../../modbus/port/portevent.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portevent.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portevent.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/portevent.c  -o ${OBJECTDIR}/_ext/1433339410/portevent.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/portevent.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/portevent.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/portserial.o: ../../modbus/port/portserial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portserial.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/portserial.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/portserial.c  -o ${OBJECTDIR}/_ext/1433339410/portserial.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/portserial.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/portserial.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1433339410/porttimer.o: ../../modbus/port/porttimer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1433339410" 
	@${RM} ${OBJECTDIR}/_ext/1433339410/porttimer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1433339410/porttimer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/port/porttimer.c  -o ${OBJECTDIR}/_ext/1433339410/porttimer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1433339410/porttimer.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1433339410/porttimer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1477781822/mbcrc.o: ../../modbus/rtu/mbcrc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1477781822" 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbcrc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbcrc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/rtu/mbcrc.c  -o ${OBJECTDIR}/_ext/1477781822/mbcrc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1477781822/mbcrc.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1477781822/mbcrc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1477781822/mbrtu.o: ../../modbus/rtu/mbrtu.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1477781822" 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbrtu.o.d 
	@${RM} ${OBJECTDIR}/_ext/1477781822/mbrtu.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/rtu/mbrtu.c  -o ${OBJECTDIR}/_ext/1477781822/mbrtu.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1477781822/mbrtu.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1477781822/mbrtu.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1043210786/debug.o: ../../modbus/debug.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1043210786" 
	@${RM} ${OBJECTDIR}/_ext/1043210786/debug.o.d 
	@${RM} ${OBJECTDIR}/_ext/1043210786/debug.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/debug.c  -o ${OBJECTDIR}/_ext/1043210786/debug.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1043210786/debug.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1043210786/debug.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1043210786/mb.o: ../../modbus/mb.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1043210786" 
	@${RM} ${OBJECTDIR}/_ext/1043210786/mb.o.d 
	@${RM} ${OBJECTDIR}/_ext/1043210786/mb.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../../modbus/mb.c  -o ${OBJECTDIR}/_ext/1043210786/mb.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1043210786/mb.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1043210786/mb.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/main.o: ../main.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/main.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/main.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../main.c  -o ${OBJECTDIR}/_ext/1472/main.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/main.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/main.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/mcc.o: ../mcc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/mcc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/mcc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../mcc.c  -o ${OBJECTDIR}/_ext/1472/mcc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/mcc.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/mcc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/periph.o: ../periph.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/periph.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/periph.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../periph.c  -o ${OBJECTDIR}/_ext/1472/periph.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/periph.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/periph.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/sys_timer.o: ../sys_timer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/sys_timer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/sys_timer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../sys_timer.c  -o ${OBJECTDIR}/_ext/1472/sys_timer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/sys_timer.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/sys_timer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/misc.o: ../misc.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/misc.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/misc.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../misc.c  -o ${OBJECTDIR}/_ext/1472/misc.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/misc.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/misc.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/buffer.o: ../buffer.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/buffer.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/buffer.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../buffer.c  -o ${OBJECTDIR}/_ext/1472/buffer.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/buffer.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/buffer.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/serial.o: ../serial.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/serial.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/serial.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../serial.c  -o ${OBJECTDIR}/_ext/1472/serial.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/serial.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/serial.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/config.o: ../config.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/config.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/config.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../config.c  -o ${OBJECTDIR}/_ext/1472/config.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/config.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/config.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/flash_mem.o: ../flash_mem.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/flash_mem.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/flash_mem.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../flash_mem.c  -o ${OBJECTDIR}/_ext/1472/flash_mem.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/flash_mem.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/flash_mem.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/inst_port.o: ../inst_port.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/inst_port.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/inst_port.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../inst_port.c  -o ${OBJECTDIR}/_ext/1472/inst_port.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/inst_port.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/inst_port.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
${OBJECTDIR}/_ext/1472/dig_io.o: ../dig_io.c  nbproject/Makefile-${CND_CONF}.mk
	@${MKDIR} "${OBJECTDIR}/_ext/1472" 
	@${RM} ${OBJECTDIR}/_ext/1472/dig_io.o.d 
	@${RM} ${OBJECTDIR}/_ext/1472/dig_io.o 
	${MP_CC} $(MP_EXTRA_CC_PRE)  ../dig_io.c  -o ${OBJECTDIR}/_ext/1472/dig_io.o  -c -mcpu=$(MP_PROCESSOR_OPTION)  -MMD -MF "${OBJECTDIR}/_ext/1472/dig_io.o.d"      -mno-eds-warn  -g -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -O1 -I".." -I"../../modbus/include" -I"../.." -msmart-io=1 -Wall -msfr-warn=off   -DSTANDALONE -DNO_IDLE
	@${FIXDEPS} "${OBJECTDIR}/_ext/1472/dig_io.o.d" $(SILENT)  -rsi ${MP_CC_DIR}../ 
	
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: assemble
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
else
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: assemblePreproc
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
else
endif

# ------------------------------------------------------------------------------------
# Rules for buildStep: link
ifeq ($(TYPE_IMAGE), DEBUG_RUN)
dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk    
	@${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
	${MP_CC} $(MP_EXTRA_LD_PRE)  -o dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}  ${OBJECTFILES_QUOTED_IF_SPACED}      -mcpu=$(MP_PROCESSOR_OPTION)        -D__DEBUG -D__MPLAB_DEBUGGER_ICD3=1  -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)   -mreserve=data@0x800:0x81B -mreserve=data@0x81C:0x81D -mreserve=data@0x81E:0x81F -mreserve=data@0x820:0x821 -mreserve=data@0x822:0x823 -mreserve=data@0x824:0x827 -mreserve=data@0x82A:0x84F   -Wl,--local-stack,--defsym=__MPLAB_BUILD=1,--defsym=__MPLAB_DEBUG=1,--defsym=__DEBUG=1,--defsym=__MPLAB_DEBUGGER_ICD3=1,$(MP_LINKER_FILE_OPTION),--stack=1024,--check-sections,--data-init,--pack-data,--handles,--isr,--no-gc-sections,--fill-upper=0,--stackguard=16,--no-force-link,--smart-io,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map",--report-mem,--cref,--memorysummary,dist/${CND_CONF}/${IMAGE_TYPE}/memoryfile.xml$(MP_EXTRA_LD_POST) 
	
else
dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}: ${OBJECTFILES}  nbproject/Makefile-${CND_CONF}.mk   
	@${MKDIR} dist/${CND_CONF}/${IMAGE_TYPE} 
	${MP_CC} $(MP_EXTRA_LD_PRE)  -o dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX}  ${OBJECTFILES_QUOTED_IF_SPACED}      -mcpu=$(MP_PROCESSOR_OPTION)        -omf=elf -no-legacy-libc  $(COMPARISON_BUILD)  -Wl,--local-stack,--defsym=__MPLAB_BUILD=1,$(MP_LINKER_FILE_OPTION),--stack=1024,--check-sections,--data-init,--pack-data,--handles,--isr,--no-gc-sections,--fill-upper=0,--stackguard=16,--no-force-link,--smart-io,-Map="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map",--report-mem,--cref,--memorysummary,dist/${CND_CONF}/${IMAGE_TYPE}/memoryfile.xml$(MP_EXTRA_LD_POST) 
	${MP_CC_DIR}\\xc16-bin2hex dist/${CND_CONF}/${IMAGE_TYPE}/O5Expander5Port.X.${IMAGE_TYPE}.${DEBUGGABLE_SUFFIX} -a  -omf=elf  
	
endif


# Subprojects
.build-subprojects:


# Subprojects
.clean-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r build/default
	${RM} -r dist/default

# Enable dependency checking
.dep.inc: .depcheck-impl

DEPFILES=$(shell mplabwildcard ${POSSIBLE_DEPFILES})
ifneq (${DEPFILES},)
include ${DEPFILES}
endif
